domain_size = 3


# Fluid solver configuration
class FluidSolverConfiguration:
    solver_type =  "vms_monolithic_solver"
    domain_size = 3
    TurbulenceModel = "None"

    # Monolithic solver
    class linear_solver_config:
        solver_type = "AMGCL"
        tolerance = 1E-5
        max_iteration = 5000
        preconditioner = "Diagonal"
        scaling = False
        krylov_type = ""
        smoother_type = ""
    
    #convergence criteria settings
    velocity_relative_tolerance = 1E-3
    velocity_absolute_tolerance = 1E-5
    pressure_relative_tolerance = 1E-3
    pressure_absolute_tolerance = 1E-5
    divergence_cleareance_step = 10
    
    #other solver settings
    oss_switch = 1
    compute_reactions = True
    time_order = 2
    predictor_corrector = False
    dynamic_tau = 0.01
    max_iteration = 20
    laplacian_form = 2

#general problem settings
AutomaticDeltaTime = "Fixed"
Dt = 0.1
Start_time = 0.0
max_time = 20
nsteps = 200


groups_dictionary = {
        "fluid" : 1,
                   }
#output settings
output_time = 0.1
output_step = 1
VolumeOutput = True
nodal_results=["VELOCITY","PRESSURE","REACTION"]
gauss_points_results=[]
GiDPostMode = "Binary"
GiDWriteMeshFlag = True
GiDWriteConditionsFlag = True
GiDWriteParticlesFlag = False
GiDMultiFileFlag = "Single"

problem_name="ContactVolume1_monoFluid"
problem_path="/home/mate/Documents/KratosSim/ContactVolume1_mono.gid"
kratos_path="D:\Kratos"
